OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.EnvmapBumpmap

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIEnvmapBumpmap :: MonadIO m => m Bool
- gl_ATI_envmap_bumpmap :: Bool
- pattern GL_BUMP_ENVMAP_ATI :: GLenum
- pattern GL_BUMP_NUM_TEX_UNITS_ATI :: GLenum
- pattern GL_BUMP_ROT_MATRIX_ATI :: GLenum
- pattern GL_BUMP_ROT_MATRIX_SIZE_ATI :: GLenum
- pattern GL_BUMP_TARGET_ATI :: GLenum
- pattern GL_BUMP_TEX_UNITS_ATI :: GLenum
- pattern GL_DU8DV8_ATI :: GLenum
- pattern GL_DUDV_ATI :: GLenum
- glGetTexBumpParameterfvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetTexBumpParameterivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glTexBumpParameterfvATI :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glTexBumpParameterivATI :: MonadIO m => GLenum -> Ptr GLint -> m ()

# Extension Support

glGetATIEnvmapBumpmap :: MonadIO m => m Bool Source #

Is the ATI_envmap_bumpmap extension supported?

gl_ATI_envmap_bumpmap :: Bool Source #

Is the ATI_envmap_bumpmap extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIEnvmapBumpmap` in those cases instead.

# Enums

pattern GL_BUMP_ENVMAP_ATI :: GLenum Source #

pattern GL_BUMP_NUM_TEX_UNITS_ATI :: GLenum Source #

pattern GL_BUMP_ROT_MATRIX_ATI :: GLenum Source #

pattern GL_BUMP_ROT_MATRIX_SIZE_ATI :: GLenum Source #

pattern GL_BUMP_TARGET_ATI :: GLenum Source #

pattern GL_BUMP_TEX_UNITS_ATI :: GLenum Source #

pattern GL_DU8DV8_ATI :: GLenum Source #

pattern GL_DUDV_ATI :: GLenum Source #

# Functions

glGetTexBumpParameterfvATI Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetTexBumpParameterATI.
-> Ptr GLfloat | `param` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetTexBumpParameterivATI Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetTexBumpParameterATI.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glTexBumpParameterfvATI Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type TexBumpParameterATI.
-> Ptr GLfloat | `param` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glTexBumpParameterivATI Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type TexBumpParameterATI.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |